Inhalte
Index 🔎︎

# Funktion IRR [VBA]

Berechnet die interne Rendite einer Investition.

Diese Konstante, diese Funktion oder dieses Objekt wird durch Platzierung der Anweisung Option VBASupport 1 vor dem auszuführenden Programmcode des Moduls aktiviert.

### Syntax:

    IRR(Values() as Double , [Guess as Variant])

### Rückgabewert:

Double

### Parameter:

Values(): Die Matrix mit Werten für den Kapitalfluss. Die Werte stellen die Kapitalflusswerte in regelmäßigen Abständen dar. Mindestens ein Wert muss negativ sein (Zahlungen) und einer positiv (Ertrag).

Guess Eine erste Schätzung, was der IRR sein wird.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    REM ***** BASIC *****
    Option VBASupport 1
    Sub ExampleIRR
     Dim cashFlow(0 to 3) As Double
     cashFlow(0) = -10000
     cashFlow(1) = 3500
     cashFlow(2) = 7600
     cashFlow(3) = 1000
     irrValue = IRR(cashFlow) * 100
     Print irrValue ' Gibt 11,3321028236252 aus. Die interne Rendite des Kapitalflusses.
    End Sub

Verwandte Themen

Funktion IKV (IRR) in CALC

VBA – Finanzmathematische Funktionen